Last Comment Bug 546932 - Add support for online address books using the CardDav format.
: Add support for online address books using the CardDav format.
Status: NEW
[gs][Please do not comment unless you...
:
Product: Thunderbird
Classification: Client Software
Component: Address Book (show other bugs)
: Trunk
: All All
: -- enhancement with 439 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://getsatisfaction.com/mozilla_me...
Depends on:
Blocks: 700237
  Show dependency treegraph
 
Reported: 2010-02-18 06:02 PST by Not interested in Mozilla any more
Modified: 2016-07-03 01:22 PDT (History)
211 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Not interested in Mozilla any more 2010-02-18 06:02:59 PST
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.1.7) Gecko/20100111 Thunderbird/3.0.1

Apple has a new Address book server which is based upon the new CardDav protocol. This is very similar to the CalDav protcol supported by Sunbird. It would be great if Thunderbird supported this type of address book.

Reproducible: Always

Actual Results:  
Support doesn't exist

Expected Results:  
Support existed
Comment 2 Elliot Wilen 2010-09-01 13:29:17 PDT
Zimbra 6 also supports CardDAV. See https://bugzilla.zimbra.com/show_bug.cgi?id=22008

Some more server implementations are listed at http://carddav.calconnect.org/implementations/servers.html
Comment 3 Tigono 2010-09-27 23:33:01 PDT
(In reply to comment #2)
> Zimbra 6 also supports CardDAV. See
> https://bugzilla.zimbra.com/show_bug.cgi?id=22008
> 
> Some more server implementations are listed at
> http://carddav.calconnect.org/implementations/servers.html

I tested it with SoGo Connector but you cannot create addresses or modify them!

You get the following error in the Address Book Server in Mac OS X Snow Leopard log:

2010-09-28 19:00:14+0200 [-] carddav-8802 PooledMemCacheProtocol,client http://twistedcaldav.method.put#error MIME type MimeType('text', 'x-vcard', {'charset': 'utf-8'}) not allowed in address book collection

I don't understand what's wrong. So it would be great if someone give me a hint if it is an error in the client or the serverpart (apple or sogo?).

If there are some things to try, I will test and report it.
Comment 4 Stefan Rieger 2010-11-10 06:09:24 PST
DAViCal 0.9.9.2 also supports CardDAV:
http://andrew.mcmillan.net.nz/blog/davical_release_0.9.9.2_with_carddav

There seems to be something wrong combining SOGo Connector and Lightning CalDAV.

I am looking forward to seeing CardDav support in TB.
Comment 5 Adrien CLERC 2011-01-09 23:57:49 PST
DAViCal and Tryton servers support it. I'm using SOGo Connector 3.104, along with Lightning 1.0b2, connected to  DAViCal 0.9.9.3, and it works very well, for both CalDAV and CardDAV.

However, it should be good if Thunderbird can connect to CardDAV servers.
Comment 6 Jelle de Jong 2011-01-10 05:26:54 PST
I am having major issues with SOGo Connector 3.104 and Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.16) Gecko/20101227 Iceowl/1.0b1 Icedove/3.0.11.

I am not able to synchronise groups/mailinglists/distribution list

Also the synchronisation does not work completely when added 240 contacts only 24 of them got synchronised.

SOGo Connector seems to use an old implantation of a early draft. DAViCal implements the correct draft, and there are a log of miscommunication going on.

I am begging for a working CardDAV plug-in, with full support for contacts, lists, and synchronisation....
Comment 7 Jelle de Jong 2011-01-10 05:29:18 PST
(In reply to comment #6)
s/implantation/implementation/g
s/correct/current/g

And I use the DAViCal option $c->use_old_sync_response_tag = true; to be more compatible with SOGo Connector.
Comment 8 Michael Kurz 2011-03-06 04:24:32 PST
SmarterMail also supports CardDAV since Version 7.x. See http://www.smartertools.com/downloads/documents/smartermail/smartermail_synchronization_collaboration.pdf on the Homepage from SmarterTools: http://www.smartertools.com

I wish as soon as possible to sync with Thunderbird my contacts on the SmarterMail server via CardDAV also, so I can already with the iPhone!!
Comment 9 Michael Kurz 2011-03-06 12:40:57 PST
SmarterMail also supports CardDAV since Version 7.x. See http://www.smartertools.com/downloads/documents/smartermail/smartermail_synchronization_collaboration.pdf on the Homepage from SmarterTools: http://www.smartertools.com

I wish as soon as possible to sync with Thunderbird my contacts on the SmarterMail server via CardDAV also, so I can already with the iPhone!!
Comment 10 mirko.zuhause 2011-05-20 07:49:56 PDT
I just stumbled into CalDAV and CardDAV and found out, that the latest ubuntu server (11.04) brings a simple way to install Cal+CardDAV features: http://wiki.ubuntuusers.de/DAViCal (until today I used debian with calendarserver for CalDAV and LDAP for addressbook, the packages in ubuntu have been buggy since know) - It would be one of my favourite wishes to get rid of nasty LDAP. Thunderbirds LDAP support anyhow is a desaster. So please, please implement CardDAV adressbooks as soon as possible. Then Thunderbird+Lightning will finally be an open-source crossplatform calender+addressbook network-solution!! Thats what we need!
Comment 11 Goetz 2011-05-20 10:33:40 PDT
What I cannot understand:
There are about 50 people who don't want more than to use the standard protocol CardDAV with the VERY GOOD program Thunderbird. They ask to implement this protocol because it is the basement for communication. They wait and ask since 1 1/2 years and NOBODY seems to be interested to solve this?
How many users have to ask for?!
My confidence in this community is sinking!
Comment 12 Philipp Kewisch [:Fallen] 2011-05-21 08:18:52 PDT
I'd suggest to read more about whats going on before complaining. The Thunderbird team is undergoing hard work to prepare their address book backend so that other formats like CardDAV can be implemented. The backend code is very historical and as I think the address book is a very important feature its more than justified that it takes a bit longer to ensure that there are no compatibility issues and that everything is done right from an architectural standpoint.
Comment 13 sunny-day 2011-05-25 01:49:43 PDT
I use my calendar as a File on a mounted network drive. *.ics. Please add an ability to use CardDAV as a File too.

http://en.wikipedia.org/wiki/ICalendar
http://de.wikipedia.org/wiki/ICalendar
Comment 14 Tigono 2011-05-30 22:15:22 PDT
(In reply to comment #12)
> I'd suggest to read more about whats going on before complaining. The
> Thunderbird team is undergoing hard work to prepare their address book
> backend so that other formats like CardDAV can be implemented. The backend
> code is very historical and as I think the address book is a very important
> feature its more than justified that it takes a bit longer to ensure that
> there are no compatibility issues and that everything is done right from an
> architectural standpoint.

I don't found any reference to your statement that something happens to the address book that will lead to carddav. Only sogo connector is available, but there are issues with the mac addressbook server. 

So: Any links where to read about native carddav thunderbird support are welcome ...
Comment 15 Goetz 2011-07-11 13:50:16 PDT
As long there does not exist a solution for CardDAV or any other format readable by iCal _and_ Thunderbird _and_ Android I HAVE to use Google calendar.
I know every server solution is a good as the confidence in the provider is. But my confidence in Google is VERY small. I don't know who can read my private items, too.
A solution even on an own server will be the best.
Comment 16 Thomas Kregelin 2011-07-20 12:34:21 PDT
Does anyone know if there is any progress in the development of this feature? I am really desperate to see cardDAV support in thunderbird. Anything one can do to support the development if one has only little programming skills?? I would donate of course if that would be of any help. Maybe more votes would help?
Comment 17 nguret 2011-07-22 01:43:19 PDT
where can I vote ? I am also waiting this feature for a long time...

http://getsatisfaction.com/mozilla_messaging/topics/address_book_sync_with_carddav_and
Comment 18 DaSch 2011-07-22 14:10:39 PDT
I hope this will come soon... can't wait. Or I'll give Exchange and Outlook another try
Comment 19 Thomas Kregelin 2011-07-26 15:36:19 PDT
Is there any alternative to the SOGo Connector that introduces external CardDAV functionality to Thunderbird? The SOGo Connector does not work with Thunderbird 5 any more it does not seem to be updated soon.
Comment 20 Thomas 2011-07-26 23:30:09 PDT
(In reply to comment #19)
> Is there any alternative to the SOGo Connector that introduces external
> CardDAV functionality to Thunderbird? The SOGo Connector does not work with
> Thunderbird 5 any more it does not seem to be updated soon.

Not as far as I know, at least no true CardDAV implementation with full synchronization etc. CardDAV / sync support (probably also Calendar/Lightning) should really be a native part of Thunderbird I think. Many people today (even outside of working environments) have several devices (iPhone, iPad, computer, laptop/netbook) so there's a great need of native sync support in Thunderbird. As stated in Comment 12 above work is apparently underway of rebuilding the address book backend but it wouldn't hurt to make this issue a top priority, have even seen several people offering to support/pay for development of the features.
Comment 21 Matěj Cepl 2011-07-26 23:44:04 PDT
(In reply to comment #20)
> Calendar/Lightning) should really be a native part of Thunderbird I think.

Offline CalDAV (aka "calendar sync") is being worked on in bug 380060.
Comment 23 Adrien CLERC 2011-08-08 14:10:14 PDT
Yep, that's an interesting thing, but what about Windows and Mac users? I'm using GNU/Linux all the time, but I don't like seeing features targetting one platform fort Thunderbird, especially for such "core" feature as address book.
Moreover, Thunderbird + Addon + Evolution Data Server + CardDav server isn't a bit overkill?
EDS integration looks really great and promising, but maybe CardDav should be part of Thunderbird, since SoGO doesn't provide their addon for TB 5.0 yet.
Comment 24 Felix Möller 2011-08-08 15:01:09 PDT
I think there has been a CardDAV extension for Thunderbird developed by Oracle which just has to pass legal review. See http://davical-general.89287.n3.nabble.com/Davical-general-Addressbook-as-collection-is-not-permit-td2507953.html ...
Comment 25 Michael Koenig 2011-08-10 03:58:45 PDT
I would be very glad to have a SoGO-alternative, too!
As a plugin or native for thunderbird (- in addition to ldap?)
Comment 26 Mihovil Stanic [:Mikeyy - L10n HR] 2011-08-13 01:39:00 PDT
+1 for this
Comment 27 Thomas Kregelin 2011-08-13 11:54:31 PDT
Does anyone know a developer who could look into this issue? I have seen so many people who really miss this feature.
Comment 28 Michael Kurz 2011-08-13 12:16:13 PDT
@All

Don't forget to vote for this wish on the top of this thread!!!!!!!!
Comment 29 ijustwantanaccount 2011-08-15 08:26:24 PDT
This issue is the top voted enhancement for Thunderbird: Address Book. Is there an 'official way' to put a bounty on an issue?
Comment 30 Danny 2011-08-17 12:54:14 PDT
(In reply to ijustwantanaccount from comment #29)
> This issue is the top voted enhancement for Thunderbird: Address Book. Is
> there an 'official way' to put a bounty on an issue?

Only if the devs find an addressbook in a cloud important enough feature.
Comment 31 Thomas Kregelin 2011-08-17 12:59:11 PDT
I'd throw in some money for a bounty if it's that what it needs to get it done.
Comment 32 Marcio Merlone 2011-08-17 13:31:58 PDT
(In reply to Danny from comment #30)
> (In reply to ijustwantanaccount from comment #29)
> > This issue is the top voted enhancement for Thunderbird: Address Book. Is
> > there an 'official way' to put a bounty on an issue?
> 
> Only if the devs find an addressbook in a cloud important enough feature.

What about an addressbook in the enterprise? Do they find this an important enough feature?
Comment 33 Rudolf Kollien 2011-08-17 22:41:11 PDT
Apply to this. A CardDAV server is not mandatory in the cloud. We host our CalDAV and CardDAV servers inside the enterprise. Not everyone likes LDAP for addresses. Anyway: customers addresses never will be entered in an LDAP!
Comment 34 Mark Banner (:standard8) 2011-08-18 05:07:43 PDT
Please remember if you are commenting in bugzilla to follow the etiquette:

https://bugzilla.mozilla.org/page.cgi?id=etiquette.html

Specifically, if you are not adding new information that helps solve the actual bug, then please do not comment. Adding extra comments only serve to get in the way for developers fixing actual bugs.

That said, we are starting to think about the future of address book at the moment and being able to share data in the cloud is one thing we will be thinking about. If you want to help this effort, then please check out the communication channels (https://wiki.mozilla.org/Thunderbird/CommunicationChannels) and be patient whilst we get to the stage where we can start discussions.
Comment 35 Andrea Monni 2011-08-19 06:00:22 PDT
There's this topic on GetSatisfaction:

http://getsatisfaction.com/mozilla_messaging/topics/address_book_to_use_carddav_to_enable_sync_like_apple

So I suggest moving the discussion there and keep this bug clean for developers
Comment 36 Mattia 2011-08-30 00:31:06 PDT
+1
I would like to have native suport to CardDav directly in Thunderbird
Thank you
Comment 37 Frank B. 2011-09-02 02:06:31 PDT
CardDAV is also available for android. Unfortunately, there is still no way thunderbird syncronize with what whatever. I do think the trend of the mobile society derbid oversleeps. The syncronisation with mobile devices has become very important. CardDAV and seems to be a viable possibility, many address books to syncronize with server services. Google, Hotmail and other caldav support and CardDAV, many do groupware server that (web) mail clients not only thunderbird.
Comment 38 Thomas Kregelin 2011-09-21 12:43:11 PDT
I have just found http://mikeconley.ca/blog/ .

This is really promising! I think Mike Conley could really get things moving now. 

Maybe this initiative even attracts more developers to help with a so much needed redesign of the Thunderbird address book.
Comment 39 Philippe 2011-11-04 14:33:15 PDT
Hi

I would like to have native suport to CardDav directly in Thunderbird in order to use it with Owncloud 2.0

Thank you
Comment 40 thomastschager 2011-11-05 01:27:09 PDT
+1
Comment 41 steve 2011-11-05 06:41:46 PDT
+1
I would like to have native suport to CardDav directly in Thunderbird
Thank you
Comment 42 Mark Banner (:standard8) 2011-11-05 08:39:47 PDT
I'll re-iterate what I said in comment 34: Please DO NOT comment on this bug unless you are actively working on providing a patch or fix in the code base.

Adding +1 comments and the like only spams everyone cc'ed and watching this bug and wastes their time.

As a reminder:

(In reply to Mark Banner (:standard8) from comment #34)
> That said, we are starting to think about the future of address book at the
> moment and being able to share data in the cloud is one thing we will be
> thinking about. If you want to help this effort, then please check out the
> communication channels
> (https://wiki.mozilla.org/Thunderbird/CommunicationChannels) and be patient
> whilst we get to the stage where we can start discussions.
Comment 43 Philipp 2012-01-28 02:03:55 PST
Mark Banner, I understand your concerns.
But people all over the internet ask for this feature for several years allready! This is developed straight missed the peoples needs!
Put this request on high priority, implement it and noone needs to spam here any more.
Comment 44 Thomas Kregelin 2012-02-08 13:32:06 PST
213 votes now ...

seems to be pretty important for thunderbird users ...

Good new for now: SOGo just released a new version of their communicator plugin

http://inverse.ca/downloads/extensions/nightly/

I tried it with TB10 (not ESR) and it works beautifully on Ubuntu and WinXP!
Comment 45 Soeren 2012-02-08 13:45:39 PST
Very cool. The new connector works with the latest Davical Server!!!
Comment 46 Patrick 2012-02-08 14:31:18 PST
(In reply to Thomas Kregelin from comment #44)
> Good new for now: SOGo just released a new version of their communicator
> plugin
> 
> http://inverse.ca/downloads/extensions/nightly/
> 
> I tried it with TB10 (not ESR) and it works beautifully on Ubuntu and WinXP!

Great news, thanks for sharing this with us!
Comment 47 Stefan Rieger 2012-02-08 14:33:21 PST
Full Agree, 
also works on TB 10 Lion & DAViCal 0.9.9.7 & lightning 
read and write

SOGo ♥ - fantastic work

integrate it into ESR, please
Comment 48 darkbasic 2012-02-08 14:37:50 PST
Awesome, thanks for sharing!
Comment 49 h-bloxx1987 2012-02-09 14:17:36 PST
finally I can use Owncloud...
Comment 50 darkbasic 2012-02-09 16:37:11 PST
I installed sogo-connector-10.0pre3.xpi on my Gentoo amd64 with Thunderbird 10, unfortunately I didn't find how to set my carddav account, I can only manage categories in the preferences menu.
Comment 51 Patrick 2012-02-09 16:58:00 PST
(In reply to darkbasic from comment #50)
I also found this to be non-obvious, so I documented it, along with the rest of my current synced PIM setup: https://patrick-nagel.net/blog/archives/389
Comment 52 darkbasic 2012-02-09 17:42:45 PST
I already tried that way (and I thought I was doing something wrong), unfortunately it doesn't ask for user and password and so it doesn't work :(

You have my very same setup, including roundcube and carddav for android, but I use sabredav instead of davical :)
Did you know contact editor is not needed anymore with ICS?
Comment 53 janzomaster 2012-02-09 23:44:05 PST
This is no dicussion forum, but a bug reporting platform. Please move support for the sogo-connector somewhere else.
Comment 54 Erwan David 2012-02-29 01:17:56 PST
As a workaround, the latest version of Sogo connector 10 (http://www.sogo.nu/fr/downloads/frontends.html) works with Thunderbird 10 as clients and either davmail or davical as carddav server (I did not try other servers)

It is a workaround because you need to manually synchronize the addressbook, but it helps to centralize it on carddav server or (with davmail) access to exchange contacts.
Comment 55 Michael Kurz 2012-03-18 12:57:23 PDT
SOGo do not work with every CalDAV-/CardDAV-Server!

For example it doesn't work with SmarterMail server ...

We need a native online address book in thunderbird!!!
Comment 56 tom 2012-04-17 05:56:49 PDT
This feature will be very helpful to use Thunderbird with Owncloud (http://owncloud.org)
Comment 57 David Boshears 2012-05-06 05:32:50 PDT
Thunderbird needs CardDAV support to be a fully functional PIM.
Comment 58 camro 2012-05-06 10:17:55 PDT
well, for now it is only possible via extra plugin: sogo.nu
there you will find on download -> frontend -> SOGo Connector Thunderbird extension
then you can add carddav addressbook.
well, sure, i would also like to have it as builtin, but waiting last few years, and nothing happen - excluded this extra tool
Comment 59 DaSch 2012-06-15 06:57:35 PDT
Without this Feature it's still
Apple Mail > Outlook > Windows Live Mail > Any Webmail > Thunderbird
Comment 60 sunny-day 2012-07-23 14:05:39 PDT
Big News!
This Bug has a chance to be fixed.

https://wiki.mozilla.org/Thunderbird/Papercuts
Comment 61 Patrick 2012-07-23 19:03:43 PDT
(In reply to sunny-day from comment #60)
> Big News!
> This Bug has a chance to be fixed.
> 
> https://wiki.mozilla.org/Thunderbird/Papercuts

Awesome, if I can vote it up somewhere, please let me know :) And great to know that "Thunderbird's development is not going to die"!
Comment 63 Brad McEvoy 2012-10-02 01:29:06 PDT
Google contacts now supports Carddav. I think that increases the urgency with which this feature is required for thunderbird to remain relevant.
http://support.google.com/mail/bin/answer.py?hl=en&answer=2753077
Comment 64 darkbasic 2012-10-02 01:40:40 PDT
I completely agree.
Comment 65 Eugenio Perea 2012-10-03 18:06:20 PDT
Up there it says: "Please do not comment unless you are actively workign on this bug", but there is no one assigned to it, so I'm taking the liberty to say: Please, this is important, this is more than a papercut. The Google Contacts announcement makes it even more so. What can we do to help?
Comment 66 Brad McEvoy 2012-10-03 18:11:10 PDT
BTW, i'm the author of the open source protocol library used by the google carddav server (http://milton.io). I'm happy to help with any questions/issues about syncing over carddav.
Comment 67 Rolf Gloor 2012-10-03 22:40:34 PDT
@Bad McEvoy
May I suggest you contact Mike Conley.
He is working on a complete new Address Book for Thunderbird.
On this blog entry, there are links to various other sources regarding this project.
http://mikeconley.ca/blog/2011/09/07/creating-a-new-thunderbird-address-book-the-feature-page-and-some-literature/
Further infos are regularly posted on his blog: http://mikeconley.ca/blog/
As far as I now is a CardDAV sync planned as well.
He might be interested in some help on this.
Comment 68 Brad McEvoy 2012-10-04 00:06:48 PDT
Thanks Rolf, I'll contact Mike.
Comment 69 Christian Debertshaeuser 2012-10-04 08:32:05 PDT
The new SoGO 2.0 connector for TB 10 ESR currently works even with TB 15 & owncloud.

http://www.sogo.nu/english/downloads/frontends.html
Comment 70 Michael Kurz 2012-10-04 08:37:48 PDT
... but SoGO do not work with every CardDAV-server, for example SmarterMail!!!!
Comment 71 Michael Kurz 2012-10-04 08:41:21 PDT
... SoGO is extremly buggy and have a bad support ...
Comment 72 net12 2012-11-20 10:51:46 PST
It would be wonderful.
Comment 73 pepe-list 2012-12-13 12:50:54 PST
I have used SOGO with Thunderbird 17 under Pinguy OS 12.04, it seems to work well, but a native integration could be great.
Comment 74 seblu 2013-01-12 15:56:51 PST
A nice 2013 resolution.
Comment 75 khael 2013-02-12 04:59:28 PST
a 2 years old consolidated standard. Support would be excelent!!
Comment 76 Markus Haybach 2013-04-21 04:08:52 PDT
Support is definetely needed! SOGO is not the solution, especially not in business use cases. It's not included in Mozilla Addon source list and hast to be installed an updated externally.
Comment 77 merlink 2013-04-30 05:18:37 PDT
Tested Sogo in Firefox 17 with Radicale-0.7.1 Server.
(Evolution is running out of the Box)

Tested different Versions of Sogo integrator.

Carddav is not working reliable with Thunderbird!

A Native implementation like in Sunbird with CalDAV is really needed.
Comment 78 merlink 2013-04-30 05:30:31 PDT
Sorry, its Thunderbird 17 not Firefox.
Comment 79 mozbugz 2013-05-02 11:58:59 PDT
To be fair, Radicale isn't a full CardDAV/CalDAV server - it is only as compliant with the standards as it needs to be and intentionally focuses on patching its code per implementation [1]. I thought I'd seen something about a patch to fix it as well, but I can't find it now.

I've used Radicale, but moved to OwnCloud because it just worked (presumably because it follows the standards more).

Still, full support for all adequately standards compliant servers would be good!

[1] http://www.guardian.co.uk/technology/video/2013/may/01/google-glass-user-guide-released-video
Comment 80 Adam Tauno Williams 2013-05-02 13:26:36 PDT
I agree it would be excellent if Thunderbird / Mozilla has stable non-server-specific CardDAV support (this bug is about CardDAV support, not CalDAV support).  I am a server-side WebDAV developer who has implemented CardDAV on the server side.  Basic CardDAV support is actually really simple.  To that end I'm willing to help someone out who understands the client side - I can explain what needs to happen when talking to the server for listing and retrieving contact information and storing information.  I'm also willing to look at someones server problems - BUT you are going to have to capture [as in *wireshark*] the conversation your client has with a server,  with some pointers it is not hard to read / debug WebDAV (and CardDAV is WebDAV with a couple of REPORT options).
I use GNOME's Evolution, because it works, and I maintain a CardDAV server.  But having Thunderbird on the CardDAV wagon would be a great addition.
Comment 81 asai 2013-06-28 15:35:43 PDT
Remote address book support in Thunderbird REALLY REALLY blocks serious business adoption. If TB wants more funds for support, they need to start developing for enterprise level needs.
Comment 82 Glen Stewart 2013-09-21 14:26:26 PDT
As of Thunderbird 24 (Ubuntu 13.04) and sogo-connector-17.0.5, the carddav data is being corrupted seemingly randomly when that data is written to Radicale .7.1.  This doesn't happen with Caldav-sync (Android) and Apple (Mountain Lion) Contacts, so far. So if someone can improve the start we have with Sogo-connector, it still needs a little work.
Comment 83 Kevin Cox [:kevincox] 2013-09-21 15:11:38 PDT
I have been wanting this feature for some time and am seriously considering this as a GSOC project next year.  I was wondering if anyone would consider being a mentor if I wrote up a proposal (GSOC 2014 hasn't officially been announced yet so this is very early but it is nice to have an idea).
Comment 84 Magnus Melin 2013-09-22 02:41:07 PDT
CardDav support was actually implemented in this year's GSOC (mconley has been mentoring). It's not in tree yes, but on some level I hear we have working code for it.
Comment 85 Kevin Cox [:kevincox] 2013-09-22 05:40:32 PDT
Ah, excellent.  I didn't see it on the list at first.
Comment 86 vulcain 2013-09-22 06:19:37 PDT
@ Kevin Cox: https://blog.mozilla.org/meeting-notes/archives/1486
"Thunderbird: 2013-09-17
[...]
Round Table

    mconley

        GSoC is wrapping up

            Jon Demelo’s connector is pretty much done, and we’ve tested it against Radicale, and it seems to work as advertised. Ensemble now has theoretical connection support for CardDAV. \o/  "
Comment 87 Günter 2013-10-14 04:01:29 PDT
@mconley
Where to find a status update about CardDAV implementation?
Running Ubuntu with TB24 has an addon "EDS Contact Integration 0.6" but missing any documentation.
Comment 89 Marco Zehe (:MarcoZ) 2014-02-01 21:55:17 PST
I'd be very interested to know where this stands. Any word?
Comment 90 Brad McEvoy 2014-02-01 21:58:15 PST
Me too, and i should get a chance to ask directly on Monday :)
Comment 91 walter 2014-02-26 10:36:59 PST
so, is this code going to be implemented and when yes, when :)?

is there a hotfix available?



-walter
Comment 92 Glen Stewart 2014-07-30 05:11:35 PDT
I think we're now at the Thunderbird version that the CardDav version from last year's GSOC was conceived to possibly be released.  Brad McEvoy - did you get status?  When I search Google, I find no status updates on this topic.

Thanks
Comment 93 Mike Conley (:mconley) - (Needinfo me!) 2014-07-30 07:30:35 PDT
Hey Glen, walter:

Sorry for the lack of response - this one kinda fell off my radar, despite the needinfo flag.

So the story here is that last Summer, we did have a GSoC student working on a CardDAV "connector" for "Ensemble"[1], which is an add-on I was writing as a prototype to replace Thunderbird's current address book.

Unfortunately, Ensemble development has waned as I've been bogged down by other things. I am, however, open to outside contribution / help / development. If someone would be willing to take the reigns of the project, I'd be happy to help shepherd it forward.

All the best,

-Mike

[1]: https://github.com/mikeconley/thunderbird-ensemble
Comment 94 walter 2014-07-30 09:39:23 PDT
AA!

i would love to, but as i am unable to code,
all i can do right now is sitting and waiting :/


*crossing fingers*
and thanks for the info!


walter
Comment 95 Brad McEvoy 2014-07-30 14:03:29 PDT
(In reply to Glen Stewart from comment #92)
> I think we're now at the Thunderbird version that the CardDav version from
> last year's GSOC was conceived to possibly be released.  Brad McEvoy - did
> you get status?  When I search Google, I find no status updates on this
> topic.
> 
> Thanks

No. I was very surprised that there was no thunderbird representation at the caldav conference. Only a Mozilla Phone developer. There was really no interest in thunderbird at all :(
Comment 96 Chris Purves 2014-07-31 13:13:46 PDT
With Thunderbird 24.6 (windows) and SOGo Connector 24.0.5 CardDAV appears to be fully functional.  

I'm using radicale 0.8 for my CardDAV server and I believe that you need the Lightning add-on if you you're using authentication.
Comment 97 Thorsten 2014-07-31 14:14:45 PDT
(In reply to Chris Purves from comment #96)
> With Thunderbird 24.6 (windows) and SOGo Connector 24.0.5 CardDAV appears to
> be fully functional.  

With that setup take care of contacts with multiple email addresses. There is a good chance you will lose all but one by syncing with SOGo Connector between TB and your CardDAV server (see http://www.sogo.nu/bugs/view.php?id=2570).
Comment 98 walter 2014-07-31 14:46:19 PDT
i rather think thats related to owncloud,
than to sogo connector.
Comment 99 andreas.schneemayer 2014-08-13 02:07:50 PDT
please add nativ CardDAV support to Thunderbird, because SOGO Connector is very buggy and it seems that they are not really working on the Problem with mulktiple email adresses...
Comment 100 Pander 2014-09-17 09:49:04 PDT
I am satisfied with SOGo Connector. As a workaround, before syncing, use https://addons.mozilla.org/thunderbird/addon/duplicate-contact-manager/
Comment 102 ekrem.koc 2015-09-07 15:01:26 PDT
Has Thunderbird a plan that they will add a new protocol CardDav in the Address Book in the further?
Comment 103 Eugenio Perea 2015-09-07 15:16:29 PDT
I didn't even remember I was on the CC list for this bug...I've been using gContactSync ever since Zindus ceased updates.
Comment 104 Jesse Johnson 2015-09-07 15:34:43 PDT
While I have grow used to SOGo Connector, I would prefer this functionality be embedded in Thunderbird so that it doesn't break if a third party goes under. CardDav is too important to be left as an addon.
Comment 105 Markus Haybach 2015-09-08 00:30:19 PDT
I'm using SOGo too, but at least it should be included in Mozilla repository to avoid manual installations and upgrades.
Comment 106 Andrew McNaughton 2015-09-08 01:03:13 PDT
After this bug has sat here for 5 years, with noone taking ownership, I think it's safe to say it's going nowhere fast.  I wonder if there's enough interest to get up a bounty for it?  Or perhaps someone might want to make it a Google "Summer of Code" project.
Comment 107 devurandom 2015-09-08 01:24:43 PDT
Aint't Thunderbird discontinued except for security fixes since quite a while? That would explain why no features like this are being added...
Comment 108 Sven Anders 2015-09-08 02:04:16 PDT
Recently lightning (the calendar extension) was added, so there is some progress.

See here for some details: https://blog.mozilla.org/thunderbird/

And somebody had already started the implementation as GSOC project (see comment #84), but I do not know the status...
Comment 109 Magnus Melin 2015-09-08 02:22:47 PDT
(In reply to devurandom from comment #107)
> Aint't Thunderbird discontinued except for security fixes since quite a
> while? 

Not really, there's just no paid staff to add features. So community members have to step up for that part.
Comment 110 walter 2015-09-08 02:43:30 PDT
https://www.bountysource.com/issues/1015434-add-support-for-online-address-books-using-the-carddav-format

this bounty is already over 400$ !!!

development went over to the community,
lets hope some good people show up and
transform tb into a post-email-area, low resource
multi platform client, with leading and conservative
state of the art technology on the bleeding edge.
Comment 111 avkaplmkt 2015-09-08 02:55:35 PDT
(In reply to walter from comment #110)
> lets hope some good people show up and
> transform tb into a post-email-area, low resource
> multi platform client, with leading and conservative
> state of the art technology on the bleeding edge.

Truer words have never been spoken, well said. Thunderbird is one of the linchpins of a privacy and freedom-respecting online life, and deserves to be well-maintained. Please support the bounty!
Comment 112 Dan 2015-09-08 03:19:48 PDT
I'll happily donate $100 to the bounty but I'm not going to add it to Bountysource as it's nonrefundable.  AFAIK, If no one actually builds the feature then Bountysource just get to keep my money!

I'm desperate for this feature as we use TB in our (small) business and setting up Add-on's for each member of staff is already a pain in the butt.
Comment 113 pepe-list 2015-09-08 04:10:02 PDT
@Dan maybe https://freedomsponsors.org/ can be a better solution than the bounty ?
Comment 114 Rolf Gloor 2015-09-08 06:30:14 PDT
I would also be willing to put down a nice donation.

However, I think it would make sense, to finish up the new address book project (ensemble), where a lot of work has already been done.
So rather than just fixing a part of it, putting the effort in the new address book as a whole. This way fixing many shortcomings of the present AB and setting the foundation for the future of Thunderbird.
Comment 115 Thatoo 2015-09-08 09:44:13 PDT
@Rolf Gloor : could you give link about the ? Maybe they talk about implementing CardDav in it.
A new address book for Thunderbird, you make me happy to speak about it, I'm waiting for that for so long...
Comment 116 Andrew McNaughton 2015-09-08 10:01:32 PDT
@Thatoo: I googled it.

http://mikeconley.ca/blog/tag/ensemble/
https://github.com/mikeconley/thunderbird-ensemble
Comment 117 Rolf Gloor 2015-09-08 12:10:20 PDT
@Thatoo (and @Andrew McNaughton)

There is also a bug filed for it: 841598
https://bugzilla.mozilla.org/show_bug.cgi?id=841598
Comment 118 Kent James (:rkent) 2015-09-08 16:12:08 PDT
My general plan for this is:

1) Add address book as a js-extendable component in bug 430716. This is not strictly necessary for the address book (unlike for mailnews accounts) but it does make the task of adding a new address book interface easier.

2) Investigate using an open-source Webdav layer that Fallen recommends to see if that is easier than just writing our Carddav interface from scratch. Develop a protocol layer that can maintain a local persisted copy of the CARDDAV address book in memory in a format for reading and writing to the CARDDAV server. (I call this the native layer). Borrow from the ExQuilla database persistence code as appropriate.

3) Follow the same basic mechanism to add an address book as is used in ExQuilla for address book in Exchange Web Services. The main interface there to connect from a locally persisted EWS address book, interfacing to the mailnews address book, is about 2000 lines of code. (That is, not a huge amount of code, particularly since the issues in adding any address book are very similar to each other, so a lot of the issue is translating from one card format to another.)

Although ExQuilla code is not open source, any Carddav implementation would be open source. A likely path is to implement this initially as an addon, but plan to merge it into core at some point.

The JsAccount technology of bug 430716 is my top priority for the next major version of Thunderbird, version 45. As part of that implementation there will need to be functional demos, and a Carddav implementation is a likely functional demo of using that approach to add address book functionality.

Carddav is a top priority for the Thunderbird team as a whole, at least within the existing address book (which has its own issues of course). We've been slowly trying to organize the financial side of Thunderbird that should allow us to support projects such as this in the future. Part of that will be a mechanism for individuals to donate specifically to the Thunderbird project. That is the mechanism that is likely to support development work on important features such as this.
Comment 119 avkaplmkt 2015-09-08 16:57:17 PDT
(In reply to Kent James (:rkent) from comment #118)
> ....
> Carddav is a top priority for the Thunderbird team as a whole, at least
> within the existing address book (which has its own issues of course). We've
> been slowly trying to organize the financial side of Thunderbird that should
> allow us to support projects such as this in the future. Part of that will
> be a mechanism for individuals to donate specifically to the Thunderbird
> project. That is the mechanism that is likely to support development work on
> important features such as this.

Thank you rkent for the detailed response! I'm eager to support making a modern and CardDAV friendly Thunderbird address book as soon as physically possible. I already donated to the bounties noted above, should I have donated elsewhere? Such as the Ensemble bounty or starting something at FreedomSponsers? Or should I just wait till the donation mechanism you mentioned to come online? If so how can users help make this happen sooner?
Comment 120 Kent James (:rkent) 2015-09-08 18:46:15 PDT
(In reply to avkaplmkt from comment #119)
> (In reply to Kent James (:rkent) from comment #118) ...

> Thank you rkent for the detailed response! I'm eager to support making a
> modern and CardDAV friendly Thunderbird address book as soon as physically
> possible. I already donated to the bounties noted above, should I have
> donated elsewhere?

Bounties can have some value, perhaps if a volunteer developer participates they may be able to claim the bounty. But the actual cost to pay someone who knows what they are doing to implement this, along with the time of others required to review the code and maintain it over time, is typically much more than a bounty can reasonably raise. We are not well organized to monitor and take advantage of bounties at the moment, though I recall there may have been a few cases in the past where they played a role. I suppose they have worked for other projects, but we mainly need to leverage our 20,000,000 users rather than rely on just the 200+ people who have cc'd here. That's really the job of the leadership at the moment. There is unfortunately nowhere that you can donate at the moment that results in additional resources available to the Thunderbird team as a whole.

It would be better to followup these issues on the tb-planning email list rather than in this bug.
Comment 121 Stefan 2015-09-10 04:30:31 PDT
(In reply to Kent James (:rkent) from comment #118)

> 2) Investigate using an open-source Webdav layer that Fallen recommends to
> see if that is easier than just writing our Carddav interface from scratch.
> Develop a protocol layer that can maintain a local persisted copy of the
> CARDDAV address book in memory in a format for reading and writing to the
> CARDDAV server. (I call this the native layer). Borrow from the ExQuilla
> database persistence code as appropriate.

Lighting already uses a WEBDAV framework (CalDAV and CardDAV both extend WEBDAV). Maybe you can use this code. Although Lightning lacks support for "well-known" URI aka autoprovisioning (rfc6764).
Comment 122 Thatoo 2015-09-12 03:05:31 PDT
(In reply to Andrew McNaughton from comment #116)
> @Thatoo: I googled it.
> 
> http://mikeconley.ca/blog/tag/ensemble/
> https://github.com/mikeconley/thunderbird-ensemble

Thank you but I knew these references but they are quiet old.
Mike Conley didn't write anything in his blog since 2012 and didn't update his github since 2013.

(In reply to Rolf Gloor from comment #117)
> @Thatoo (and @Andrew McNaughton)
> 
> There is also a bug filed for it: 841598
> https://bugzilla.mozilla.org/show_bug.cgi?id=841598

in 2014-11-24 12:37:21, Mike Conley wrote
(In reply to Mike Conley (:mconley) - (Going dark Aug 20 - Sept 11) from comment #20)
> (In reply to Karl from comment #18)
> > (In reply to Mike Conley (:mconley) - Needinfo me! from comment #17)
> > > (In reply to erik from comment #16)
> > > > Any progress worth mentioning?
> > > 
> > > I'm afraid if there was any, I'd have posted it. :/
> > 
> > Still no progress?
> 
> I'm afraid not.
> 
> (In reply to bugzilla.andy from comment #19)
> > I am really eager, too!
> > Is there anything we can do to help?
> > 
> 
> If you can find a developer with the cycles to drive this project, that'd be
> absolutely huge. Unfortunately, I am not that person at this time. :/

And since then, nothing. It doesn't seem like a new address book with CardDav is coming soon...
Comment 123 Philipp Kewisch [:Fallen] 2015-09-12 03:32:49 PDT
Hello Folks, I'd like to remind you about commment 34:

Please remember if you are commenting in bugzilla to follow the etiquette:

https://bugzilla.mozilla.org/page.cgi?id=etiquette.html

Specifically, if you are not adding new information that helps solve the actual bug, then please do not comment. Adding extra comments only serve to get in the way for developers fixing actual bugs.

I understand that this a much wanted feature and that all of you are eager to have a developer work on it, I'd like to see this happen just as much. Kent has laid out a plan in comment 118 and work will progress slowly but surely. I'd be delighted if further comments made are comments helpful towards fixing this bug, for example concrete offers to help out with this bug. Thanks!

Note You need to log in before you can comment on or make changes to this bug.